import request from '@/utils/request'
//------------------------图片---------------------
// 上传图片
export const useUploadPic = (fd) =>
  request.post('upload_picture', fd, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
// 根据图片名称删除图片
export const useDeletePic = (imagePath) =>
  request.delete('delete_picture', {
    params: {
      imagePath: imagePath
    }
  })
// ------------------------------简历-------------------
// 上传简历
export const useUploadResume = (fd) =>
  request.post('upload_resume', fd, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
// 根据简历名称删除简历
export const useDeleteResume = (resumePath) =>
  request.delete('delete_resume', {
    params: {
      resumePath: resumePath
    }
  })

// ---------------------------------视频-------------------------
// 上传视频
export const useUploadVideo = (fd) =>
  request.post('upload_video', fd, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
// 根据视频名称删除视频
export const useDeleteVideo = (videoPath) =>
  request.delete('delete_video', {
    params: {
      videoPath: videoPath
    }
  })
